VMWARE: since 1.10, NIC type and Network different from profile configuration
03/01/2016 09:13 AM - Lionel Beard
Description
Hi,

It was working fine before update to 1.10, but now when | create a VMware host, interface details such as NIC type and Network are
not filled with values configured into vmware profiles.
Foreman propose the first element on each list.

If I look into production log file:
Started POST "/hosts/interfaces"
Processing by HostsController#interfaces as */*

Parameters: (...)"compute_attributes"=>{"type"=>"VirtualE1000", "network"=>"NET1"}} (...)

| can see that parameters sent are not the one defined in profiles.

Thanks.

Related issues:

Related to Foreman - Bug #11124: Interface compute attributes not merged from... Closed 07/15/2015
Related to Foreman - Bug #13581: Clicking "Resolve" in Operating System -> Pr... Resolved 02/05/2016
Has duplicate Foreman - Bug #13779: Setting compute profile in EC2 provisioni... Duplicate 02/17/2016

Associated revisions

Revision b299f9¢9 - 03/15/2016 10:18 AM - Dominic Cleal

fixes #13980 - don't merge NIC compute attrs on New Host form

Removes merging of NIC's compute attributes when refreshing interfaces
on compute profile or resource selections on the New Host form. Instead,
overwrite NIC attributes from the profile (as it did before 85e82d0) as

the Ul needs refreshing completely on compute profile selection.

Merging of NIC compute attributes with the compute profile is retained
on the host APl where it's still valuable for supplying a partial set
of compute attributes.

Revision c404041c - 03/22/2016 01:21 PM - Dominic Cleal

fixes #13980 - don't merge NIC compute attrs on New Host form
Removes merging of NIC's compute attributes when refreshing interfaces
on compute profile or resource selections on the New Host form. Instead,

overwrite NIC attributes from the profile (as it did before 85e82d0) as
the Ul needs refreshing completely on compute profile selection.

Merging of NIC compute attributes with the compute profile is retained
on the host APl where it's still valuable for supplying a partial set
of compute attributes.

(cherry picked from commit b299f9¢95102be50b1b755376963efed7b3bb6c2)

Revision b3a5c5ff - 03/30/2016 07:17 AM - Dominic Cleal

fixes #13980 - don't merge NIC compute attrs on New Host form
Removes merging of NIC's compute attributes when refreshing interfaces
on compute profile or resource selections on the New Host form. Instead,

overwrite NIC attributes from the profile (as it did before 85e82d0) as
the Ul needs refreshing completely on compute profile selection.

Merging of NIC compute attributes with the compute profile is retained
on the host APl where it's still valuable for supplying a partial set
of compute attributes.

(cherry picked from commit b299f9c95102be50b1b755376963efed7b3bb6c2)

History

#1 - 03/01/2016 10:35 AM - Dominic Cleal

Could you confirm precisely which Foreman version you're on? The Found in release field says 1.10.0, in which case, please update to 1.10.2 as
there were a couple of fixes in .1 that might be applicable.

#2 - 03/01/2016 10:37 AM - Lionel Beard

Dominic Cleal wrote:

Could you confirm precisely which Foreman version you're on? The Found in release field says 1.10.0, in which case, please update to 1.10.2
as there were a couple of fixes in .1 that might be applicable.

Sorry, | made a mistake in release field.
The bug appears in 1.10.0 version, and | have just updated to 1.10.2, and the bug is still here.
It was also present on 1.10.1.

#3 - 03/01/2016 10:43 AM - Dominic Cleal
- Category changed from VM management to Host creation

- translation missing: en.field_release set to 145

No problem, thanks for confirming.

Could you run through the exact steps you take on the New Host form, e.g. the order of which boxes you select from and if your compute profile is set
on the host group or you're selecting it? If you have the ability to record a video/GIF, this can be very helpful to show the issue.

It might also be worth trying to create a new compute profile in case it's that, and to try some different steps such as selecting the compute profile
explicitly or changing the order. The inheritance of profiles changed a lot in 1.10 and is sensitive to this.

#4 - 03/01/2016 10:58 AM - Lionel Beard
Thanks for your message because, thanks to that, | found a way to resolve the issue.

Actually, no compute profile was set into my host groups. And the bug appears, even if | set a compute profile on host creation form.
Now, | have set a default compute profile on each host groups, and interface details are correct.

It is good for me.

Do you still consider is it a bug?
Do you still want the video?

#5 - 03/01/2016 11:19 AM - Dominic Cleal

- Related to Bug #11124: Interface compute attributes not merged from API request over compute profile added
#6 - 03/01/2016 11:20 AM - Dominic Cleal

I think I've reproduced it now rather simply! Are these the same as your steps without the host group?

1. Select the compute resource

2. Select a compute profile

3. Check interfaces tab

Any time you change the compute profile, the attributes/network settings aren't updated.
This seems to work properly if | revert #11124.

#7 - 03/01/2016 11:24 AM - Lionel Beard

Yes, these are the same.

#8 - 03/11/2016 04:45 AM - Dominic Cleal
- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#9 - 03/14/2016 04:19 AM - Dominic Cleal
- Has duplicate Bug #13779: Setting compute profile in EC2 provisioning over-rides image AMI with a default AMI added

#10 - 03/14/2016 06:53 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3314 added

#11 - 03/15/2016 11:02 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset b299f9¢95102be50b1b755376963efed7b3bb6c2.

#12 - 03/29/2016 11:08 AM - Dominic Cleal

- Related to Bug #13581: Clicking "Resolve" in Operating System -> Provisioning templates causes Ul issues with drop-downs in the Interfaces tab
added

#13 - 04/01/2016 01:00 AM - Matthew Ceroni

This fix is applicable to 1.10, however the change does not apply to 1.11 as hosts_controller.rb does not appear to contain the function that is
modified.

Has this change been updated in version 1.11 as well?

#14 - 04/01/2016 03:00 AM - Dominic Cleal
The fix is in both 1.10.3 and 1.11.0-RC3. You're right that the 1.10 and 1.11 fixes differ, | had to rewrite it a little for 1.10.

Fix from 1.11.0-RC3: https:/github.com/theforeman/foreman/commit/c404041c6fe4816b9c44e78f1e2225960ab95¢9d
Fix from 1.10.3: https://github.com/theforeman/foreman/commit/b3a5c5ffc32536e2514b24{2297aece6273d09b2

#15 - 02/14/2017 12:47 PM - Marek Hulan
- Bugzilla link set to 1322047
